# Nginx compiler

A Nginx compiler with brotli, more header and last openssl version.

## How to use it ?

Clone this repo where you want.  
Get last Nginx release on [nginx.org](https://nginx.org)  
Get last OpenSSL release on [openssl](https://openssl.org)
Launch this command `./nginx_compile_deb.sh NGINX_VER OPENSSL_VER TEMP_FOLDER`

Wait and see ;)

## What are the compiled extensions?

| Extensions | Descriptions |
| -------- | -------- |
| SSL  | Support SSL     |
| RealIP | The ngx_http_realip_module module is used to change the client address and optional port to those sent in the specified header field. |
| Addition | The ngx_http_addition_module module is a filter that adds text before and after a response. |
| Sub | The ngx_http_sub_module module is a filter that modifies a response by replacing one specified string by another. |
| Dav | The ngx_http_dav_module module is intended for file management automation via the WebDAV protocol. The module processes HTTP and WebDAV methods PUT, DELETE, MKCOL, COPY, and MOVE.  |
| FLV |  Media streaming server based on nginx-rtmp-module. In addtion to the features nginx-rtmp-module provides, HTTP-FLV, GOP cache and VHOST (one IP for multi domain names) are supported now. |
| MP4 | The ngx_http_mp4_module module provides pseudo-streaming server-side support for MP4 files. Such files typically have the .mp4, .m4v, or .m4a filename extensions.  |
| Gzip | The ngx_http_gunzip_module module is a filter that decompresses responses with “Content-Encoding: gzip” for clients that do not support “gzip” encoding method. The module will be useful when it is desirable to store data compressed to save space and reduce I/O costs.  |
| Stub |  The ngx_http_stub_status_module module provides access to basic status information. |
| HTTP/2 | Support HTTP/2 |
| IPv6 | Support IPv6 |

